|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Q3ListBoxText Class Reference
[Qt3Support module]

The Q3ListBoxText class provides list box items that display text. More...

     #include <Q3ListBoxText>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits Q3ListBoxItem.

- List of all members, including inherited members

### Public Functions

- Q3ListBoxText ( Q3ListBox * listbox, const QString & text = QString() )
- Q3ListBoxText ( const QString & text = QString() )
- Q3ListBoxText ( Q3ListBox * listbox, const QString & text, Q3ListBoxItem * after )
- ~Q3ListBoxText ()
- virtual int height ( const Q3ListBox * lb ) const
- virtual int width ( const Q3ListBox * lb ) const

- 14 public functions inherited from Q3ListBoxItem

### Protected Functions

- virtual void paint ( QPainter * painter )

- 3 protected functions inherited from Q3ListBoxItem

## Detailed Description

The Q3ListBoxText class provides list box items that display text.

The text is drawn in the widget's current font. If you need several different fonts, you must implement your own subclass of Q3ListBoxItem.

See also Q3ListBox and Q3ListBoxItem.

## Member Function Documentation

### Q3ListBoxText::Q3ListBoxText ( Q3ListBox * listbox, const QString & text = QString() )

Constructs a list box item in list box listbox showing the text text.

### Q3ListBoxText::Q3ListBoxText ( const QString & text = QString() )

Constructs a list box item showing the text text.

### Q3ListBoxText::Q3ListBoxText ( Q3ListBox * listbox, const QString & text, Q3ListBoxItem * after )

Constructs a list box item in list box listbox showing the text text. The item is inserted after the item after, or at the beginning if after is 0.

### Q3ListBoxText::~Q3ListBoxText ()

Destroys the item.

### int Q3ListBoxText::height ( const Q3ListBox * lb ) const `[virtual]`

Returns the height of a line of text in list box lb.

Reimplemented from Q3ListBoxItem.

See also paint() and width().

### void Q3ListBoxText::paint ( QPainter * painter ) `[virtual protected]`

Draws the text using painter.

Reimplemented from Q3ListBoxItem.

### int Q3ListBoxText::width ( const Q3ListBox * lb ) const `[virtual]`

Returns the width of this line in list box lb.

Reimplemented from Q3ListBoxItem.

See also paint() and height().